/********************************************************************/
/**  Header : uCOSMCFc                                             **/
/**                                                                **/
/**  Description : This header file contains the macros which      **/
/**  define how critical sections and task level context switches  **/
/**  happen in uC/OS. It also contains definitions of the data     **/
/**  types used within the OS.                                     **/
/**                                                                **/
/**  Version History :                                             **/
/**                                                                **/
/**  A0.01     Initial version started                   15/09/97  **/
/**                                                                **/
/** Copyright (c) 1997 David Fiddes, D.J.Fiddes@hw.ac.uk           **/
/********************************************************************/


/********************************************************************/
/**  Constants                                                     **/

#define  FALSE    0
#define  TRUE     1


/********************************************************************/
/**  Macros                                                        **/

#ifndef BADMOVESR
  #define  OS_ENTER_CRITICAL() asm volatile (" move.w #0x2700,%sr ");
  #define  OS_EXIT_CRITICAL()  asm volatile (" move.w #0x2000,%sr ");
#else
  #define  OS_ENTER_CRITICAL() asm volatile (" .long 0x46fc2700 ");
  #define  OS_EXIT_CRITICAL()  asm volatile (" .long 0x46fc2000 ");
#endif

#define  OS_TASK_SW()        asm volatile (" trap #14 ");
#define  OS_IDLE_LOOP()      asm volatile (" stop #0x2000 ");
     

/********************************************************************/
/**  Data Types                                                    **/

#define far
#define near

typedef unsigned char  BOOLEAN;
typedef unsigned char  UBYTE;                    /* Unsigned  8 bit quantity                           */
typedef signed   char  BYTE;                     /* Signed    8 bit quantity                           */
typedef unsigned int   UWORD;                    /* Unsigned 16 bit quantity                           */
typedef signed   int   WORD;                     /* Signed   16 bit quantity                           */
typedef unsigned long  ULONG;                    /* Unsigned 32 bit quantity                           */
typedef signed   long  LONG;                     /* Signed   32 bit quantity                           */

